[Overview][Constants][Types][Index] | Reference for unit 'unixtype' (#rtl)

# pthread_cond_t

Thread conditional variable (opaque).

## Declaration

Source position: ptypes.inc line 223

`type pthread_cond_t = record`
`__c_lock: _pthread_fastlock;` |  | ?
`__c_waiting: pointer;` |  | ?
`__padding: array [0..48-1-sizeof(_pthread_fastlock)-sizeof(pointer)-sizeof(clonglong)] of Byte;` |  | ?
`__align: clonglong;` |  | ?
`end;`

## Description

pthread_cond_t describes a thread conditional variable. It should be considered an opaque record, the names of the fields can change anytime.

Documentation generated on: Feb 26 2014